<!DOCTYPE html>
<html>
<head>
	<title>HTML forms</title>
</head>
<body>

	<h2 align="center">Welcome to the Forms Page</h2>
<!-- Semantic tags are new addition to HTML. Semantic Tags are also containers for element but unike divs they are definitive of its content without relying to semantic id. However, em, strong, they are also semantic tags as they are used over >i></i> <b></>. 

Semantic Containers such as nav, main, section are more preferred by developers now because it aids in better Search Engine Optimization, as well developers themselves becuase each tag now clearly defines what is the content to be added. 
-->
<!-- nav is a semantic container which contains navigation links. -->
<nav>
	<a href="./index.html">index.html</a>
	<a href="./table.html">table.html</a>
	<a href="../activity/contact.html">contact.html</a>
</nav>
<!-- main is a Semantic container used to show the main content of a webpage -->
<main>
	<!-- sections are sued to show parts of a page -->
	<section>
		<h2>HTML Forms</h2>
		<p>HTML Forms are used to gather information or data from our user and send that information to a server.</p>
	</section>
	<section>
		<!-- form tags allow us to create a form so that we can gather data from the user input form and submit it to the server.

		action attribute in a form will allow us to pass/submit the data to the server of the url that is given. -->

		<!-- label tag will alow us to create  an element that serves as a label or indicator to the input. add a for attribute to the label will allow us to associate the label element to a particularinput element. for attribute is passed the id of the particular element to the associated. -->

		<!-- input tag creates an input element to add user input.
input tag can have many type to allow the additional of different kinds of data or information like text, numbers or dates.

type attribute in input elements allow us to identify what kind of information is to be provided to the input.
it also affects the behaviour of the element to be appropriate to the type of data we want to gather.

name attribute allows us to provide a name  identifier for the VALUE of te input element. It allow us to properly identify the value of an input in our form.

id attribute is not only to provides a unique identifier for the element, it is also used by the label to associate with.
		 

required attribute allows us to check if theinput has been fiiled anf if not the form can't be submitted.

autocomplete attribute provides suggestions for the inputs and allows for better user experience.

input type data change the behavior of an input element and only allows the input of dates.

buttons are used to interact with our pages can either have the button trigger an action, reset a form or submit it will do.

buttons in a form can submit the form. this is why we add type attributeto differentiate the actions buttons can do a form.


		 -->


		 <!-- Select allows you to choose from an options -->




		<form action="https://google.com">
			<!-- full name -->
			<label for="fname">Full Name:</label>
			<br>
			<!-- break the line -->
			<input type="text" name="fullname" id="fname" required autocomplete>
			<br>
			<!-- birthdate -->
			<label for="bdate">Birthdate:</label>
			<br>
			<input type="date" name="birthday" id="bdate" required>
			<br>
			<!-- age -->
			<label for="ageInput">Age</label>
			<br>
			<input type="number" name="age" id="ageInput" min="18" max="40" required>
			<br>
			<!-- gender -->
			<label for="genderInput">Gender</label>
				<br>
				<select name="gender" id="genderInput">
					<option value="male">Male</option>
					<option value="female">Female</option>
					<option value="other">Other</option>
				</select>
					<br>
			<!-- radio -->
			<label>New User?</label>
			<br>
			<input type="radio" name="new_user" id="radioUser1" value="yes">
			<label for="radioUser1">Yes</label>
			
			<br>
			<input type="radio" name="new_user" id="radioUser2" value="no">
			<label for="radioUser2">No</label>
					<br>

					<label>Role:</label>
					<br>
					<input type="checkbox" name="role1" id="roleInput1" value="developer">
					<label for="roleInput1">Developer</label>
				<br>
					<input type="checkbox" name="role2" id="roleInput2" value="student">
					<label for="roleInput2">Student</label>
				<br>
					<input type="checkbox" name="role3" id="roleInput3" value="developer">
					<label for="roleInput3">Manager</label>
					
					<br>
					<br>



			<button type="submit">Submit</button>
			<button type="reset">Reset</button>
		</form>
	</section>
</main>
</body>
</html>